Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		fluidsynth
Version:	1.0.9
Release:	1
License:	GNU/GPL
URL:		http://www.fluidsynth.org
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	fluidsynth is a real-time software synthesizer.

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: e2fsprogs-devel
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: lash-devel
BuildRequires: libsamplerate-devel
BuildRequires: ncurses-devel
BuildRequires: portaudio-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: readline-devel

%description
fluidsynth is a real-time software synthesizer based on the SoundFont 2 specifications.
FluidSynth can read MIDI events from a MIDI input device and render them to an audio device using
SoundFont instruments. SoundFont files are composed of digital audio "samples" and additional
instrument parameters. These files can be created or downloaded off the Internet.
FluidSynth also has support for controlling effects in real time and can play MIDI files. 
For more details see: http://www.fluidsynth.org

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure \
--enable-ladspa \
--enable-lash \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.9-1
- Version update
* Sat Dec 13 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.8-3
- changed package group to Multimedia/Audio
* Thu Oct 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8-2
- moved from ladcca to lash
* Sat Jun 21 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.8-1
- Version update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.7a-1
- Version update
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.6-1
- update to version 1.0.6, rebuild for readline 
- specfile improvements, moving static files to devel
* Mon Mar 07 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.5-1
- Initial Release
